export default function getData(chartData) {
    return {
        title: {
            show: false
        },
        legend: {
            show: false
        },
        toolbox: {
            show: false
        },
        grid: {
            top: 10,
            left: '0',
            right: 60,
            bottom: 10,
            containLabel: true
        },
        xAxis: [{
            type: 'value',
            position: 'bottom',
            boundaryGap: false, // 边界间隙
            min: 0,
            axisLabel: {
                show: false,
                textStyle: {
                    color: '#fff',
                    fontSize: 14
                }
            },
            axisLine: {
                show: false,
                lineStyle: {
                    color: 'rgba(255, 255, 255, .5)'
                }
            },
            axisTick: {
                show: false // 坐标轴小标记
            },
            splitLine: {
                show: false, // 是否显示分割线
                lineStyle: {
                    color: 'rgba(255, 255, 9255, 0)', // 纵向向网格线颜色
                    type: 'dashed',
                    width: 1
                }
            }
        }],
        yAxis: {
            type: 'category',
            position: 'left',
            axisLabel: {
                textStyle: {
                    color: '#fff',
                    fontSize: 14,

                }
            },
            axisLine: {
                show: false, // 坐标轴小标记
                lineStyle: {
                    color: 'rgba(255, 255, 255, .5)',
                    width: 1
                }
            },
            axisTick: {
                show: false // 坐标轴小标记
            },
            splitLine: {
                show: false
            },
            data: (function(data) {
                    var arr = [];
                    data.forEach(function(items) {
                        arr.push(items.name);
                    });
                    return arr;
                })(chartData) // 载入y轴数据
        },
        series: [{
            type: 'bar',
            label: {
                normal: {
                    show: true,
                    position: 'right', // top, right, inside, insideTop,...
                    textStyle: {
                        color: 'white',
                        fontSize: 14
                    },
                    formatter: ' {c}' + '元'
                }
            },
            barWidth: 8,
            itemStyle: {
                normal: {
                    //color:'#ffc938', // 图表颜色
                    color: function(params) { // 颜色定制显示（按顺序）
                        var colorList = ['#3BFFFD', '#FF3BBC', '#FF3B3B', '#65FF3B', '#FF6E3B', '#AE3BFF', '#3B97FF', '#FFCA3B', '#6E3BFF', '#FF3B69'];
                        return colorList[params.dataIndex]
                    },
                    barBorderRadius: [8, 8, 8, 8] //圆角
                }
            },
            data: chartData, // 载入数据(内含自定义参数)
            z: 1
        }]
    };
}